diff --git a/engines/scumm/detection.cpp b/engines/scumm/detection.cpp
index c0b2650..2f77ff0 100644
--- a/engines/scumm/detection.cpp
+++ b/engines/scumm/detection.cpp
@@ -1098,12 +1098,8 @@ Common::Error ScummMetaEngine::createInstance(OSystem *syst, Engine **engine) co
 		debug(1, "Using MD5 '%s'", res.md5.c_str());
 	}
 
-	// We don't support the "Lite" version off puttzoo iOS because it contains
-	// the full game.
 	if (!strcmp(res.game.gameid, "puttzoo") && !strcmp(res.extra, "Lite")) {
-		GUIErrorMessage("The Lite version of Putt-Putt Saves the Zoo iOS is not supported to avoid piracy.\n"
-		                "The full version is available for purchase from the iTunes Store.");
-		return Common::kUnsupportedGameidError;
+		res.fp.genMethod = kGenHEIOS;
 	}
 
 	// If the GUI options were updated, we catch this here and update them in the users config
diff --git a/engines/scumm/he/script_v90he.cpp b/engines/scumm/he/script_v90he.cpp
index f65d2f6..ece533f 100644
--- a/engines/scumm/he/script_v90he.cpp
+++ b/engines/scumm/he/script_v90he.cpp
@@ -2380,6 +2380,7 @@ void ScummEngine_v90he::o90_kernelSetFunctions() {
 		break;
 	case 201102: // Used in puttzoo iOS
 	case 20111014: // Used in spyfox iOS
+	case 20120504: // Used in puttzoo iOS Lite
 		break;
 	default:
 		error("o90_kernelSetFunctions: default case %d (param count %d)", args[0], num);
diff --git a/engines/scumm/script_v6.cpp b/engines/scumm/script_v6.cpp
index d2f4133..b54ae04 100644
--- a/engines/scumm/script_v6.cpp
+++ b/engines/scumm/script_v6.cpp
@@ -1086,6 +1086,9 @@ void ScummEngine_v6::o6_setCameraAt() {
 
 void ScummEngine_v6::o6_loadRoom() {
 	int room = pop();
+	/* overide roomnr so we skip the iOS license check in putzoo Lite*/
+	if (_game.id == GID_PUTTZOO && _game.platform == Common::kPlatformIOS && room == 48 )
+		room = 12;
 	startScene(room, 0, 0);
 	if (_game.heversion >= 61) {
 		setCameraAt(camera._cur.x, 0);
